Bug 765003 - (GLUSTER-3271) Volume Top info successful when parent path is given
Volume Top info successful when parent path is given
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Rajesh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-28 05:26 EDT by Rajesh
Modified: 2013-07-04 18:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rajesh 2011-07-28 05:26:44 EDT
The following commands show that volume top succeeds even when a brick's ancestor directory is given instead of the brick path.
When an ancestor directory is given, it will display output of the first brick found in the recursive directory search.
_____________________________________________________________________

root@raj-pc:~/glusterfs.git# gluster volume info
 
Volume Name: v1
Type: Distribute
Status: Started
Number of Bricks: 3
Transport-type: tcp
Bricks:
Brick1: raj-pc:/home/raj/bricks/a
Brick2: raj-pc:/home/raj/bricks/b
Brick3: raj-pc:/home/raj/bricks/c

root@raj-pc:~/glusterfs.git# gluster volume top v1 read-perf bs 1024000 count 100 brick raj-pc:/home/raj/bricks/a
Brick: raj-pc:/home/raj/bricks/a
Throughput 3470.60 MBps time 0.0295 secs

root@raj-pc:~/glusterfs.git# gluster volume top v1 read-perf bs 1024000 count 100 brick raj-pc:/home/raj
Brick: raj-pc:/home/raj/bricks/a
Throughput 3487.98 MBps time 0.0294 secs
Comment 1 Anand Avati 2011-09-19 04:39:12 EDT
CHANGE: http://review.gluster.com/162 (Rewrite of glusterd_volume_brickinfo_get in glusterd-utils.c) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.